package com.anteatersecurity.test;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Intent;
import android.os.Binder;
import android.os.IBinder;

public class BouncyCastle_AesCrypt_MemoryLeakExampleService extends Service {
	private final IBinder mBinder = new LocalBinder();
	private NotificationManager mNM;
	
	@Override
	public IBinder onBind(Intent arg0) {
		return mBinder;
	}

	public class LocalBinder extends Binder {
		BouncyCastle_AesCrypt_MemoryLeakExampleService getService() {
            return BouncyCastle_AesCrypt_MemoryLeakExampleService.this;
        }
    }
	
    @Override
    public void onCreate() {
    	super.onCreate();
        mNM = (NotificationManager)getSystemService(NOTIFICATION_SERVICE);
        // Display a notification about us starting.  We put an icon in the status bar.
        attachToForeground();
        BouncyCastleAESCryptMemoryLeakExample.runTests();
    }
    private void attachToForeground() {
        // Set the icon, scrolling text and timestamp
        Notification notification = new Notification(R.drawable.icon, this.getClass().getCanonicalName(),
                System.currentTimeMillis());

        // The PendingIntent to launch our activity if the user selects this notification
        PendingIntent contentIntent = PendingIntent.getActivity(this, 0,
                new Intent(this, BouncyCastle_AesCrypt_MemoryLeakExampleActivity.class), 0);

        // Set the info for the views that show in the notification panel.
        notification.setLatestEventInfo(this, this.getClass().getCanonicalName(),
                       "Select this to configure.", contentIntent);

        // Send the notification.
        startForeground(R.string.app_name, notification);
//        mNM.notify(R.string.app_name, notification);
    }
}



